Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig
Class DefaultProtegeDIGReasoner

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.reasoner.AbstractProtegeReasoner
          edu.stanford.smi.protegex.owl.inference.dig.DefaultProtegeDIGReasoner

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, ProtegeOWLReasoner, ProtegeReasoner

    public class DefaultProtegeDIGReasoner

extends AbstractProtegeReasoner
implements ProtegeOWLReasoner, ProtegeReasoner

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jun 14, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.inference.reasoner.AbstractProtegeReasoner
`autoSynchReasoner, classListener, modelListener, owlModel, projectListener, propertyListener, propertyValueListener, reasonerTaskListener, resourceAdapter, synchronizeReasoner`

Fields inherited from interface edu.stanford.smi.protegex.owl.inference.protegeowl.ProtegeOWLReasoner
`CLS1_EQUIVALENT_TO_CLS2, CLS1_SUBSUMED_BY_CLS2, CLS1_SUBSUMES_CLS2, NO_SUBSUMPTION_RELATIONSHIP`

Constructor Summary
`DefaultProtegeDIGReasoner()`

Method Summary
`void` | `classifyTaxonomy()` For each named class in the ontology, this method queries the reasoner for the consistency of the class, its inferred super classes and its inferred equivalent classes.
`void` | `classifyTaxonomy(ReasonerTaskListener taskListener)` For each named class in the ontology, this method queries the reasoner for the consistency of the class, its inferred super classes and its inferred equivalent classes.
`void` | `computeEquivalentConcepts()` This method queries the reasoner the equivalent classes for each class in the ontology, and updates protege-owl with the information.
`void` | `computeEquivalentConcepts(ReasonerTaskListener taskListener)`
`void` | `computeInconsistentConcepts()` This method queries the reasoner for the consistency of all classes in the ontology, and updates protege-owl with the information.
`void` | `computeInconsistentConcepts(ReasonerTaskListener taskListener)` This method queries the reasoner for the consistency of all classes in the ontology, and updates protege-owl with the information.
`void` | `computeInferredHierarchy()` For each named class in the ontology, this method queries the reasoner to obtain its inferred superclasses.
`void` | `computeInferredHierarchy(ReasonerTaskListener taskListener)` For each named class in the ontology, this method queries the reasoner to obtain its inferred superclasses.
`void` | `computeInferredIndividualTypes()` This method queries the reasoner for the types of all individuals in the ontology, and updates protege-owl with the information.
`void` | `computeInferredIndividualTypes(ReasonerTaskListener taskListener)`
`void` | `dispose()`
`Collection<OWLClass>` | `getAncestorClasses(OWLClass class1)` Gets the inferred ancestor classes of the specified class.
`Collection` | `getAncestorClasses(OWLClass aClass, ReasonerTaskListener taskListener)` Gets the inferred ancestor classes of the specified class.
`Collection<OWLClass>` | `getDescendantClasses(OWLClass class1)` Gets the inferred descendant classes of the specified class.
`Collection` | `getDescendantClasses(OWLClass aClass, ReasonerTaskListener taskListener)` Gets the inferred descendant classes of the specified class.
`DIGReasoner` | `getDIGReasoner()` Gets the DIGReasoner that this reasoner uses to talk to the external DIG Reasoner Process
`Collection<OWLClass>` | `getEquivalentClasses(OWLClass class1)` Gets the equivalent classes of the specified class.
`Collection` | `getEquivalentClasses(OWLClass aClass, ReasonerTaskListener taskListener)` Gets the equivalent classes of the specified class.
`DIGReasonerIdentity` | `getIdentity()` Gets the identity of the DIG reasoner.
`Collection<OWLIndividual>` | `getIndividualsBelongingToClass(OWLClass class1)` Gets the individuals that are inferred to be members of the specified class.
`Collection` | `getIndividualsBelongingToClass(OWLClass aClass, ReasonerTaskListener taskListener)` Gets the individuals that are inferred to be members of the specified class.
`Collection<OWLClass>` | `getIndividualTypes(OWLIndividual individual)` Get the inferred types (direct and indirect) for the specified individual.
`Collection` | `getIndividualTypes(OWLIndividual individual, ReasonerTaskListener taskListener)` Get the inferred types for the specified individual.
`OWLModel` | `getKnowledgeBase()` Gets the knowledge base (OWLModel) that this reasoner reasons over.
`protected edu.stanford.smi.protege.event.ProjectListener` | `getProjectListener()` MANAGEMENT STUFF
`String` | `getReasonerKnowledgeBaseURI()` The external DIG Reasoner that provides the reasoning services assigns each knowledgebase that it knows about a URI in order to identify the knowledgebase.
`static String` | `getReasonerName()`
`Collection<OWLClass>` | `getSubclasses(OWLClass class1)` Gets the (direct) inferred subclasses of the specified class.
`Collection` | `getSubclasses(OWLClass aClass, ReasonerTaskListener taskListener)` Gets the (direct) inferred subclasses of the specified class.
`int` | `getSubsumptionRelationship(OWLClass cls1, OWLClass cls2)`
`int` | `getSubsumptionRelationship(OWLClass cls1, OWLClass cls2, ReasonerTaskListener taskListener)` Gets the subsumption relationship between two classes - the subsumption relationship of cls1 to cls2.
`Collection<OWLClass>` | `getSuperclasses(OWLClass class1)` Gets the (direct) inferred superclasses of the specified class.
`Collection` | `getSuperclasses(OWLClass aClass, ReasonerTaskListener taskListener)` Gets the (direct) inferred superclasses of the specified class.
`Collection<OWLClass>` | `getSuperclassesOfIntersection(OWLClass[] clses)`
`Collection` | `getSuperclassesOfIntersection(OWLClass[] clses, ReasonerTaskListener taskListener)` Gets the inferred superclasses of the intersection of the list of specified classes.
`String` | `getURL()` Gets the URL of the external DIG reasoner.
`boolean` | `isConnected()` Determines if the ProtegeOWLReasoner can connect to an external DIG compliant reasoner to provide reasoning services.
`boolean` | `isDisjointTo(OWLClass cls1, OWLClass cls2)` Determines if the specified classes are disjoint from each other.
`boolean` | `isDisjointTo(OWLClass cls1, OWLClass cls2, ReasonerTaskListener taskListener)` Determines if the specified classes are disjoint from each other.
`boolean` | `isIntersectionSatisfiable(OWLClass[] clses)` Determines if the intersection of the list of specified classes is satisfiable.
`boolean` | `isIntersectionSatisfiable(OWLClass[] clses, ReasonerTaskListener taskListener)` Determines if the intersection of the list of specified classes is satisfiable.
`boolean` | `isSatisfiable(OWLClass class1)` This method queries the reasoner to determine if the specified concept is satisfiable.
`boolean` | `isSatisfiable(OWLClass aClass, ReasonerTaskListener taskListener)` This method queries the reasoner to determine if the specified concept is satisfiable.
`boolean` | `isSubsumedBy(OWLClass cls1, OWLClass cls2)` Determines if one class (cls1) is subsumed by another class (cls2).
`boolean` | `isSubsumedBy(OWLClass cls1, OWLClass cls2, ReasonerTaskListener taskListener)` Determines if one class (cls1) is subsumed by another class (cls2).
`void` | `performTask(ReasonerTask task, ReasonerTaskListener taskListener)` Executes the specified task after synchronizing the reasoner if necessary.
`void` | `reset()` Detaches the OWL model from this reasoner, clears internal caches, and releases the resources allocated by this reasoner for the previously attached OWL model.
`void` | `setURL(String url)` Sets the URL of the external DIG reasoner
`protected void` | `synchronizeReasoner(ReasonerTaskListener taskListener)`

Methods inherited from class edu.stanford.smi.protegex.owl.inference.reasoner.AbstractProtegeReasoner
`addListeners, forceReasonerReSynchronization, getAncestorProperties, getClassListener, getDescendantProperties, getIndividualDirectTypes, getModelListener, getOWLModel, getPropertyListener, getPropertyValueListener, getReasonerTaskListener, getRelatedIndividuals, getRelatedValues, getResourceListener, getSubProperties, getSuperProperties, initialize, isAutoSynchronizationEnabled, performTask, reactToKnowledgeBaseChange, rebind, removeListeners, setAutoSynchronizationEnabled, setOWLModel, setReasonerTaskListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.inference.protegeowl.ProtegeOWLReasoner
`forceReasonerReSynchronization, isAutoSynchronizationEnabled, setAutoSynchronizationEnabled`

Methods inherited from interface edu.stanford.smi.protegex.owl.inference.reasoner.ProtegeReasoner
`forceReasonerReSynchronization, getAncestorProperties, getDescendantProperties, getIndividualDirectTypes, getOWLModel, getReasonerTaskListener, getRelatedIndividuals, getRelatedValues, getSubProperties, getSuperProperties, initialize, isAutoSynchronizationEnabled, rebind, setAutoSynchronizationEnabled, setOWLModel, setReasonerTaskListener`

Constructor Detail

### DefaultProtegeDIGReasoner

    public DefaultProtegeDIGReasoner()

Method Detail

### getDIGReasoner

    public DIGReasoner getDIGReasoner()

  Gets the DIGReasoner that this reasoner uses to talk to the external DIG Reasoner Process

  Specified by:
    `getDIGReasoner` in interface `ProtegeOWLReasoner`

### setURL

    public void setURL(String url)

  Description copied from interface: `ProtegeOWLReasoner`
  Sets the URL of the external DIG reasoner

  Specified by:
    `setURL` in interface `ProtegeOWLReasoner`

### getURL

    public String getURL()

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the URL of the external DIG reasoner.

  Specified by:
    `getURL` in interface `ProtegeOWLReasoner`
  Returns:
    A `String` representing the URL.

### isConnected

    public boolean isConnected()

  Description copied from interface: `ProtegeOWLReasoner`
  Determines if the ProtegeOWLReasoner can connect to an external DIG compliant reasoner to provide reasoning services. If this method returns `false` then none of the reaoning methods will work.

  Specified by:
    `isConnected` in interface `ProtegeOWLReasoner`

### reset

    public void reset()

  Description copied from interface: `ProtegeReasoner`
  Detaches the OWL model from this reasoner, clears internal caches, and releases the resources allocated by this reasoner for the previously attached OWL model. resources allocated

  Specified by:
    `reset` in interface `ProtegeReasoner`

### getReasonerKnowledgeBaseURI

    public String getReasonerKnowledgeBaseURI()

  Description copied from interface: `ProtegeOWLReasoner`
  The external DIG Reasoner that provides the reasoning services assigns each knowledgebase that it knows about a URI in order to identify the knowledgebase. This method returns the URI corresponding to the Protege-OWL knowledgebase that this reasoner reasons about.

  Specified by:
    `getReasonerKnowledgeBaseURI` in interface `ProtegeOWLReasoner`
  Returns:
    A `String` representing the URI.

### synchronizeReasoner

    protected void synchronizeReasoner(ReasonerTaskListener taskListener)
                                throws DIGReasonerException

  Overrides:
    `synchronizeReasoner` in class `AbstractProtegeReasoner`
  Throws:
    `DIGReasonerException`

### getIdentity

    public DIGReasonerIdentity getIdentity()

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the identity of the DIG reasoner. The `DIGReasonerIdentity` describes the name, version and capabilities of an external DIG reasoner.

  Specified by:
    `getIdentity` in interface `ProtegeOWLReasoner`

### getReasonerName

    public static String getReasonerName()

### getKnowledgeBase

    public OWLModel getKnowledgeBase()

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the knowledge base (OWLModel) that this reasoner reasons over.

  Specified by:
    `getKnowledgeBase` in interface `ProtegeOWLReasoner`

### classifyTaxonomy

    public void classifyTaxonomy(ReasonerTaskListener taskListener)
                          throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  For each named class in the ontology, this method queries the reasoner for the consistency of the class, its inferred super classes and its inferred equivalent classes. The method updates the protege-owl structures that hold this information, meaning that methods on `RDFSClass` such as `getInferredSuperClasses` will return meaningful results.

  Specified by:
    `classifyTaxonomy` in interface `ProtegeOWLReasoner`
  Parameters:
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Throws:
    `DIGReasonerException`

### classifyTaxonomy

    public void classifyTaxonomy()
                          throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  For each named class in the ontology, this method queries the reasoner for the consistency of the class, its inferred super classes and its inferred equivalent classes. The method updates the protege-owl structures that hold this information, meaning that methods on `RDFSClass` such as `getInferredSuperClasses` will return meaningful results.

  Specified by:
    `classifyTaxonomy` in interface `ProtegeReasoner`
  Overrides:
    `classifyTaxonomy` in class `AbstractProtegeReasoner`
  Throws:
    `ProtegeReasonerException`

### computeInferredHierarchy

    public void computeInferredHierarchy(ReasonerTaskListener taskListener)
                                  throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  For each named class in the ontology, this method queries the reasoner to obtain its inferred superclasses. This information is then pieced together to form the inferred hierarchy. The method updates the protege-owl structures that hold information about inferred superclasses, which means that methods such as `getInferredSuperClasses` on `RDFSClass` will return meaningful results.

  Specified by:
    `computeInferredHierarchy` in interface `ProtegeOWLReasoner`
  Parameters:
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Throws:
    `DIGReasonerException`

### computeInferredHierarchy

    public void computeInferredHierarchy()
                                  throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  For each named class in the ontology, this method queries the reasoner to obtain its inferred superclasses. This information is then pieced together to form the inferred hierarchy. The method updates the protege-owl structures that hold information about inferred superclasses, which means that methods such as `getInferredSuperClasses` on `RDFSClass` will return meaningful results.

  Specified by:
    `computeInferredHierarchy` in interface `ProtegeReasoner`
  Overrides:
    `computeInferredHierarchy` in class `AbstractProtegeReasoner`
  Throws:
    `ProtegeReasonerException`

### computeEquivalentConcepts

    public void computeEquivalentConcepts(ReasonerTaskListener taskListener)
                                   throws DIGReasonerException

  Specified by:
    `computeEquivalentConcepts` in interface `ProtegeOWLReasoner`
  Parameters:
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Throws:
    `DIGReasonerException`

### computeEquivalentConcepts

    public void computeEquivalentConcepts()
                                   throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  This method queries the reasoner the equivalent classes for each class in the ontology, and updates protege-owl with the information.

  Specified by:
    `computeEquivalentConcepts` in interface `ProtegeReasoner`
  Overrides:
    `computeEquivalentConcepts` in class `AbstractProtegeReasoner`
  Throws:
    `ProtegeReasonerException`

### computeInconsistentConcepts

    public void computeInconsistentConcepts(ReasonerTaskListener taskListener)
                                     throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  This method queries the reasoner for the consistency of all classes in the ontology, and updates protege-owl with the information.

  Specified by:
    `computeInconsistentConcepts` in interface `ProtegeOWLReasoner`
  Parameters:
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Throws:
    `DIGReasonerException`

### computeInconsistentConcepts

    public void computeInconsistentConcepts()
                                     throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  This method queries the reasoner for the consistency of all classes in the ontology, and updates protege-owl with the information.

  Specified by:
    `computeInconsistentConcepts` in interface `ProtegeReasoner`
  Overrides:
    `computeInconsistentConcepts` in class `AbstractProtegeReasoner`
  Throws:
    `ProtegeReasonerException`

### computeInferredIndividualTypes

    public void computeInferredIndividualTypes(ReasonerTaskListener taskListener)
                                        throws DIGReasonerException

  Specified by:
    `computeInferredIndividualTypes` in interface `ProtegeOWLReasoner`
  Parameters:
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Throws:
    `DIGReasonerException`

### computeInferredIndividualTypes

    public void computeInferredIndividualTypes()
                                        throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  This method queries the reasoner for the types of all individuals in the ontology, and updates protege-owl with the information.

  Specified by:
    `computeInferredIndividualTypes` in interface `ProtegeReasoner`
  Overrides:
    `computeInferredIndividualTypes` in class `AbstractProtegeReasoner`
  Throws:
    `ProtegeReasonerException`

### isSatisfiable

    public boolean isSatisfiable(OWLClass aClass,
                                 ReasonerTaskListener taskListener)
                          throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  This method queries the reasoner to determine if the specified concept is satisfiable.

  Specified by:
    `isSatisfiable` in interface `ProtegeOWLReasoner`
  Parameters:
    `aClass` - The `OWLClass` whose satisfiablity is to be determined.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    `true` if the specified class is satisfiable (consistent) , or `false` if the specified class is not satisfiable (not consistent).
  Throws:
    `DIGReasonerException`

### isSatisfiable

    public boolean isSatisfiable(OWLClass class1)
                          throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  This method queries the reasoner to determine if the specified concept is satisfiable.

  Specified by:
    `isSatisfiable` in interface `ProtegeReasoner`
  Overrides:
    `isSatisfiable` in class `AbstractProtegeReasoner`
  Parameters:
    `class1` - The `OWLClass` whose satisfiablity is to be determined.
  Returns:
    `true` if the specified class is satisfiable (consistent) , or `false` if the specified class is not satisfiable (not consistent).
  Throws:
    `ProtegeReasonerException`

### isIntersectionSatisfiable

    public boolean isIntersectionSatisfiable(OWLClass[] clses,
                                             ReasonerTaskListener taskListener)
                                      throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Determines if the intersection of the list of specified classes is satisfiable.

  Specified by:
    `isIntersectionSatisfiable` in interface `ProtegeOWLReasoner`
  Parameters:
    `clses` - An array of `OWLClass`es, of which the satisfiablity of the intersection will be determined.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    `true` if the intersection of the list of classes is satisfiable (consistent) or `false` if the intersection of the list of classes is not satisfiable (not consistent)
  Throws:
    `DIGReasonerException`

### isIntersectionSatisfiable

    public boolean isIntersectionSatisfiable(OWLClass[] clses)
                                      throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Determines if the intersection of the list of specified classes is satisfiable.

  Specified by:
    `isIntersectionSatisfiable` in interface `ProtegeReasoner`
  Overrides:
    `isIntersectionSatisfiable` in class `AbstractProtegeReasoner`
  Parameters:
    `clses` - An array of `OWLClass`es, of which the satisfiablity of the intersection will be determined.
  Returns:
    `true` if the intersection of the list of classes is satisfiable (consistent) or `false` if the intersection of the list of classes is not satisfiable (not consistent)
  Throws:
    `ProtegeReasonerException`

### isSubsumedBy

    public boolean isSubsumedBy(OWLClass cls1,
                                OWLClass cls2,
                                ReasonerTaskListener taskListener)
                         throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Determines if one class (cls1) is subsumed by another class (cls2). In other words, determines if cls2 is a superclass of cls1.

  Specified by:
    `isSubsumedBy` in interface `ProtegeOWLReasoner`
  Parameters:
    `cls1` - The subsumee (the expected subclass)
    `cls2` - The subsumer (the expected superclass)
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    `true` if cls1 is subsumed by cls2, or `false` if cls1 is not subsumed by cls2.
  Throws:
    `DIGReasonerException`

### isSubsumedBy

    public boolean isSubsumedBy(OWLClass cls1,
                                OWLClass cls2)
                         throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Determines if one class (cls1) is subsumed by another class (cls2). In other words, determines if cls2 is a superclass of cls1.

  Specified by:
    `isSubsumedBy` in interface `ProtegeReasoner`
  Overrides:
    `isSubsumedBy` in class `AbstractProtegeReasoner`
  Parameters:
    `cls1` - The subsumee (the expected subclass)
    `cls2` - The subsumer (the expected superclass)
  Returns:
    `true` if cls1 is subsumed by cls2, or `false` if cls1 is not subsumed by cls2.
  Throws:
    `ProtegeReasonerException`

### isDisjointTo

    public boolean isDisjointTo(OWLClass cls1,
                                OWLClass cls2,
                                ReasonerTaskListener taskListener)
                         throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Determines if the specified classes are disjoint from each other. Note that because disjointedness is a symmetric property, the order of the specified classes does not matter.

  Specified by:
    `isDisjointTo` in interface `ProtegeOWLReasoner`
  Parameters:
    `cls1` - An `OWLClass`
    `cls2` - An `OWLClass`
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    `true` if cls1 is disjoint with cls2.
  Throws:
    `DIGReasonerException`

### isDisjointTo

    public boolean isDisjointTo(OWLClass cls1,
                                OWLClass cls2)
                         throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Determines if the specified classes are disjoint from each other. Note that because disjointedness is a symmetric property, the order of the specified classes does not matter.

  Specified by:
    `isDisjointTo` in interface `ProtegeReasoner`
  Overrides:
    `isDisjointTo` in class `AbstractProtegeReasoner`
  Parameters:
    `cls1` - An `OWLClass`
    `cls2` - An `OWLClass`
  Returns:
    `true` if cls1 is disjoint with cls2.
  Throws:
    `ProtegeReasonerException`

### getSubsumptionRelationship

    public int getSubsumptionRelationship(OWLClass cls1,
                                          OWLClass cls2,
                                          ReasonerTaskListener taskListener)
                                   throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the subsumption relationship between two classes - the subsumption relationship of cls1 to cls2. The ordering of arguments is important.

  Specified by:
    `getSubsumptionRelationship` in interface `ProtegeOWLReasoner`
  Parameters:
    `cls1` - An `OWLClass`
    `cls2` - An `OWLClass`
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    An integer that indicates the subsumption relationship of cls1 in relation to cls2. See the constants defined in `ProtegeOWLReasoner` for result values
  Throws:
    `DIGReasonerException`

### getSubsumptionRelationship

    public int getSubsumptionRelationship(OWLClass cls1,
                                          OWLClass cls2)
                                   throws ProtegeReasonerException

  Overrides:
    `getSubsumptionRelationship` in class `AbstractProtegeReasoner`
  Throws:
    `ProtegeReasonerException`

### getSuperclasses

    public Collection getSuperclasses(OWLClass aClass,
                                      ReasonerTaskListener taskListener)
                               throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the (direct) inferred superclasses of the specified class.

  Specified by:
    `getSuperclasses` in interface `ProtegeOWLReasoner`
  Parameters:
    `aClass` - The class whose inferred superclasses are to be retrieved.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    A `Collection` containing the classes that are the inferred superclasses of the specified class.
  Throws:
    `DIGReasonerException`

### getSuperclasses

    public Collection<OWLClass> getSuperclasses(OWLClass class1)
                                         throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Gets the (direct) inferred superclasses of the specified class.

  Specified by:
    `getSuperclasses` in interface `ProtegeReasoner`
  Overrides:
    `getSuperclasses` in class `AbstractProtegeReasoner`
  Parameters:
    `class1` - The class whose inferred superclasses are to be retrieved.
  Returns:
    A `Collection` containing the classes that are the inferred superclasses of the specified class.
  Throws:
    `ProtegeReasonerException`

### getSuperclassesOfIntersection

    public Collection getSuperclassesOfIntersection(OWLClass[] clses,
                                                    ReasonerTaskListener taskListener)
                                             throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the inferred superclasses of the intersection of the list of specified classes.

  Specified by:
    `getSuperclassesOfIntersection` in interface `ProtegeOWLReasoner`
  Parameters:
    `clses` - An array of `OWLClass`es, the intersection of which will be obtained and then the inferred superclasses of this intersection class will be retrieved from the reasoner.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    A `Collection` of classes.
  Throws:
    `DIGReasonerException`

### getSuperclassesOfIntersection

    public Collection<OWLClass> getSuperclassesOfIntersection(OWLClass[] clses)
                                                       throws ProtegeReasonerException

  Overrides:
    `getSuperclassesOfIntersection` in class `AbstractProtegeReasoner`
  Throws:
    `ProtegeReasonerException`

### getSubclasses

    public Collection getSubclasses(OWLClass aClass,
                                    ReasonerTaskListener taskListener)
                             throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the (direct) inferred subclasses of the specified class.

  Specified by:
    `getSubclasses` in interface `ProtegeOWLReasoner`
  Parameters:
    `aClass` - The class whose inferred subclasses are to be retrieved.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    A `Collection` containing the inferred subclasses of the specified class.
  Throws:
    `DIGReasonerException`

### getSubclasses

    public Collection<OWLClass> getSubclasses(OWLClass class1)
                                       throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Gets the (direct) inferred subclasses of the specified class.

  Specified by:
    `getSubclasses` in interface `ProtegeReasoner`
  Overrides:
    `getSubclasses` in class `AbstractProtegeReasoner`
  Parameters:
    `class1` - The class whose inferred subclasses are to be retrieved.
  Returns:
    A `Collection` containing the inferred subclasses of the specified class.
  Throws:
    `ProtegeReasonerException`

### getAncestorClasses

    public Collection getAncestorClasses(OWLClass aClass,
                                         ReasonerTaskListener taskListener)
                                  throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the inferred ancestor classes of the specified class. The inferred ancestor classes is equivalent to the transitive closure of the inferred superclasses.

  Specified by:
    `getAncestorClasses` in interface `ProtegeOWLReasoner`
  Parameters:
    `aClass` - The class whose inferred ancestor classes are to be retrieved.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    A `Collection` containing the inferred ancestor classes of the specified class.
  Throws:
    `DIGReasonerException`

### getAncestorClasses

    public Collection<OWLClass> getAncestorClasses(OWLClass class1)
                                            throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Gets the inferred ancestor classes of the specified class. The inferred ancestor classes is equivalent to the transitive closure of the inferred superclasses.

  Specified by:
    `getAncestorClasses` in interface `ProtegeReasoner`
  Overrides:
    `getAncestorClasses` in class `AbstractProtegeReasoner`
  Parameters:
    `class1` - The class whose inferred ancestor classes are to be retrieved.
  Returns:
    A `Collection` containing the inferred ancestor classes of the specified class.
  Throws:
    `ProtegeReasonerException`

### getDescendantClasses

    public Collection getDescendantClasses(OWLClass aClass,
                                           ReasonerTaskListener taskListener)
                                    throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the inferred descendant classes of the specified class. The inferred descendant classes is equivalent to the transitive closure of the inferred subclasses.

  Specified by:
    `getDescendantClasses` in interface `ProtegeOWLReasoner`
  Parameters:
    `aClass` - The class whose descendent classes are to be retrieved.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    A `Collection` containing the inferred descendent classes.
  Throws:
    `DIGReasonerException`

### getDescendantClasses

    public Collection<OWLClass> getDescendantClasses(OWLClass class1)
                                              throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Gets the inferred descendant classes of the specified class. The inferred descendant classes is equivalent to the transitive closure of the inferred subclasses.

  Specified by:
    `getDescendantClasses` in interface `ProtegeReasoner`
  Overrides:
    `getDescendantClasses` in class `AbstractProtegeReasoner`
  Parameters:
    `class1` - The class whose descendent classes are to be retrieved.
  Returns:
    A `Collection` containing the inferred descendent classes.
  Throws:
    `ProtegeReasonerException`

### getEquivalentClasses

    public Collection getEquivalentClasses(OWLClass aClass,
                                           ReasonerTaskListener taskListener)
                                    throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the equivalent classes of the specified class.

  Specified by:
    `getEquivalentClasses` in interface `ProtegeOWLReasoner`
  Parameters:
    `aClass` - The class whose equivalent classes are to be retrieved.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    A `Collection` containing the inferred equivalent classes of the specified class.
  Throws:
    `DIGReasonerException`

### getEquivalentClasses

    public Collection<OWLClass> getEquivalentClasses(OWLClass class1)
                                              throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Gets the equivalent classes of the specified class.

  Specified by:
    `getEquivalentClasses` in interface `ProtegeReasoner`
  Overrides:
    `getEquivalentClasses` in class `AbstractProtegeReasoner`
  Parameters:
    `class1` - The class whose equivalent classes are to be retrieved.
  Returns:
    A `Collection` containing the inferred equivalent classes of the specified class.
  Throws:
    `ProtegeReasonerException`

### getIndividualsBelongingToClass

    public Collection getIndividualsBelongingToClass(OWLClass aClass,
                                                     ReasonerTaskListener taskListener)
                                              throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Gets the individuals that are inferred to be members of the specified class.

  Specified by:
    `getIndividualsBelongingToClass` in interface `ProtegeOWLReasoner`
  Parameters:
    `aClass` - The class whose members are to be retrieved.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    A `Collection` containing the `OWLIndividuals` that are members of the specified class.
  Throws:
    `DIGReasonerException`

### getIndividualsBelongingToClass

    public Collection<OWLIndividual> getIndividualsBelongingToClass(OWLClass class1)
                                                             throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Gets the individuals that are inferred to be members of the specified class.

  Specified by:
    `getIndividualsBelongingToClass` in interface `ProtegeReasoner`
  Overrides:
    `getIndividualsBelongingToClass` in class `AbstractProtegeReasoner`
  Parameters:
    `class1` - The class whose members are to be retrieved.
  Returns:
    A `Collection` containing the `OWLIndividuals` that are members of the specified class.
  Throws:
    `ProtegeReasonerException`

### getIndividualTypes

    public Collection getIndividualTypes(OWLIndividual individual,
                                         ReasonerTaskListener taskListener)
                                  throws DIGReasonerException

  Description copied from interface: `ProtegeOWLReasoner`
  Get the inferred types for the specified individual.

  Specified by:
    `getIndividualTypes` in interface `ProtegeOWLReasoner`
  Parameters:
    `individual` - The individual whose inferred types are to be retrieved.
    `taskListener` - - A listener which will be informed of the progress of the task. May be `null` if the progress of the task does not need to be monitored.
  Returns:
    A `Collection` of `OWLClasses` that represent the inferred types for the specified individual.
  Throws:
    `DIGReasonerException`

### getIndividualTypes

    public Collection<OWLClass> getIndividualTypes(OWLIndividual individual)
                                            throws ProtegeReasonerException

  Description copied from interface: `ProtegeReasoner`
  Get the inferred types (direct and indirect) for the specified individual.

  Specified by:
    `getIndividualTypes` in interface `ProtegeReasoner`
  Overrides:
    `getIndividualTypes` in class `AbstractProtegeReasoner`
  Parameters:
    `individual` - The individual whose inferred types are to be retrieved.
  Returns:
    A `Collection` of `OWLClasses` that represent the inferred types for the specified individual.
  Throws:
    `ProtegeReasonerException`

### getProjectListener

    protected edu.stanford.smi.protege.event.ProjectListener getProjectListener()

  MANAGEMENT STUFF

  Overrides:
    `getProjectListener` in class `AbstractProtegeReasoner`

### performTask

    public void performTask(ReasonerTask task,
                            ReasonerTaskListener taskListener)
                     throws DIGReasonerException

  Executes the specified task after synchronizing the reasoner if necessary. The task listener (if not `null`) is automatically registered with the task before task execution, and the unregistered after task execution.

  Overrides:
    `performTask` in class `AbstractProtegeReasoner`
  Parameters:
    `task` - The task to be executed.
    `taskListener` - The listener to be registered with the task. May be `null` if no listener should be registered.
  Throws:
    `DIGReasonerException`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`
  Overrides:
    `dispose` in class `AbstractProtegeReasoner`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.